Bug 1985720 - f34: libfprint to upgrade to 1.92.0 or newer
Summary: f34: libfprint to upgrade to 1.92.0 or newer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libfprint
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Berg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-25 09:14 UTC by Jun Aruga
Modified: 2021-07-28 07:00 UTC (History)
1 user (show)

Fixed In Version: libfprint-1.90.7-3.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-26 09:54:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Jun Aruga 2021-07-25 09:14:08 UTC
Description of problem:

A laptop called "Framework laptop" [1] has a fingerprint reader device that requires libfprint >= 1.92.0 [2]. A Fedora 34 Respin provided by Fedora Respin SIG for the Framework laptop has 1.92.0 or newer according to [2], but the normal Fedora 34 currently still has 1.90.7. So, is it possible to upgrade the libfprint to 1.92.0 or newer on Fedora 34?

Thanks!

[1] Framework laptop: https://frame.work/
[2] Framework Community - Fingerprint scanner compatibility with linux (ubuntu, fedora, etc): https://community.frame.work/t/1501/10

Version-Release number of selected component (if applicable):
libfprint-1.90.7-3.fc34

Comment 1 Benjamin Berg 2021-07-26 09:54:10 UTC
This was added by https://bodhi.fedoraproject.org/updates/FEDORA-2021-0787b217cf

Comment 3 Jun Aruga 2021-07-26 11:53:10 UTC
> This was added by https://bodhi.fedoraproject.org/updates/FEDORA-2021-0787b217cf

Thanks for the answer. However the bodhi URL is for libfprint-1.90.7-3.fc34. But What I am asking is libfprin >= 1.92.0 that is like on f35, not 1.90.7.
So, I think the Status: CLOSED, Resolution: CURRENTRELEASE is a mistake.

Comment 4 Benjamin Berg 2021-07-26 12:02:04 UTC
Really, trust me, the status is correct.

Comment 6 Jun Aruga 2021-07-26 12:09:48 UTC
> https://src.fedoraproject.org/rpms/libfprint/blob/f34/f/update-goodix.patch

Ah you applied a patch to work on Framework laptop!!

> https://bodhi.fedoraproject.org/updates/FEDORA-2021-0787b217cf

I just found someone's message "Tested on Framework laptop (one of the newly added sensors) and works great." on the bodhi page.

Now I understand the situation. So, we don't need to upgrade libfprint to 1.92.0 or newer on f34. Thanks!


Note You need to log in before you can comment on or make changes to this bug.